CVE-2019-5435

low
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An integer overflow in curl's URL API results in a buffer overflow in libcurl 7.62.0 to and including 7.64.1.

References

https://curl.haxx.se/docs/CVE-2019-5435.html

https://lists.fedoraproject.org/archives/list/[email protected]/message/SMG3V4VTX2SE3EW3HQTN3DDLQBTORQC2/

https://security.gentoo.org/glsa/202003-29

https://security.netapp.com/advisory/ntap-20190606-0004/

https://support.f5.com/csp/article/K08125515

https://www.oracle.com/security-alerts/cpuapr2020.html

https://www.oracle.com/security-alerts/cpuoct2020.html

https://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html

Details

Source: MITRE

Published: 2019-05-28

Updated: 2020-10-20

Type: CWE-190

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 3.7

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L

Impact Score: 1.4

Exploitability Score: 2.2

Severity: LOW

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:haxx:curl:*:*:*:*:*:*:*:* versions from 7.62.0 to 7.64.1 (inclusive)

Tenable Plugins

View all (9 total)

IDNameProductFamilySeverity
142025RHEL 6 / 7 : Red Hat JBoss Core Services Apache HTTP Server 2.4.37 SP5 (RHSA-2020:4384)NessusRed Hat Local Security Checks
critical
134606GLSA-202003-29 : cURL: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
127061Amazon Linux AMI : curl (ALAS-2019-1233)NessusAmazon Linux Local Security Checks
high
126957Amazon Linux 2 : curl (ALAS-2019-1233)NessusAmazon Linux Local Security Checks
high
125786Fedora 29 : curl (2019-697de0501f)NessusFedora Local Security Checks
high
125441FreeBSD : curl -- multiple vulnerabilities (dd343a2b-7ee7-11e9-a290-8ddc52868fa9)NessusFreeBSD Local Security Checks
high
125424Fedora 30 : curl (2019-3f5b6f0f97)NessusFedora Local Security Checks
high
125355Ubuntu 16.04 LTS / 18.04 LTS / 18.10 / 19.04 : curl vulnerabilities (USN-3993-1)NessusUbuntu Local Security Checks
high
125348Slackware 14.0 / 14.1 / 14.2 / current : curl (SSA:2019-142-01)NessusSlackware Local Security Checks
high